#!/bin/bash
export BEARER_TOKEN=$(cat token)
curl -s -X GET -H "Authorization: Bearer $BEARER_TOKEN" \
	    "https://api.twitter.com/2/tweets/search/recent?query=%23rC3cwtv&tweet.fields=created_at&expansions=author_id,attachments.media_keys&media.fields=preview_image_url&user.fields=profile_image_url" > public/tweets-rc3.json

# download mastodon toots from chaos.social
curl -s "https://chaos.social/api/v1/timelines/tag/rc3cwtv" > public/toots-rc3-chaos.social.json
# curl -s "https://social.bau-ha.us/api/v1/timelines/tag/rc3cwtv" > public/toots-rc3-social.bau-ha.us.json
# curl -s "https://social.tchncs.de/api/v1/timelines/tag/rc3cwtv" > public/toots-rc3-social.tchncs.de.json

curl -s "https://data.c3voc.de/rC3_21/everything.schedule.json" > public/everything.schedule.json
